Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.graphics.encoders
Class ImageEncoder

Direct Known Subclasses:
  GifEncoder

public abstract class ImageEncoder
implements ImageConsumer

Constructor Summary
`ImageEncoder(Image img, OutputStream out)`
`ImageEncoder(ImageProducer producer, OutputStream out)`

Method Summary
`synchronized void` | `encode()`
`void` | `imageComplete(int status)`
`void` | `setColorModel(ColorModel model)`
`void` | `setDimensions(int width, int height)`
`void` | `setHints(int hintflags)`
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)`
`void` | `setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)`
`void` | `setProperties(Hashtable props)`

Constructor Detail

### ImageEncoder

    public ImageEncoder(Image img, OutputStream out)
                   throws java.io.IOException

### ImageEncoder

    public ImageEncoder(ImageProducer producer, OutputStream out)
                   throws java.io.IOException

Method Detail

### encode

    public synchronized void encode()
                              throws java.io.IOException

### imageComplete

    public void imageComplete(int status)

### setColorModel

    public void setColorModel(ColorModel model)

### setDimensions

    public void setDimensions(int width, int height)

### setHints

    public void setHints(int hintflags)

### setPixels

    public void setPixels(int x, int y, int w, int h, ColorModel model, byte[] pixels, int off, int scansize)

### setPixels

    public void setPixels(int x, int y, int w, int h, ColorModel model, int[] pixels, int off, int scansize)

### setProperties

    public void setProperties(Hashtable props)

Association Links

to Class java.io.OutputStream

to Class java.awt.image.ImageProducer

to Class java.io.IOException

to Class java.awt.image.ColorModel

to Class java.util.Hashtable

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM